# sms-portal

A webapp for sending sms messages!

## Overview:

This will be created to be used inside containers. This will be a full stack with; frontend, backend, and db services.

The application will integrate with the following system:

- https://dev.telstra.com/content/messaging-api

## quickstart dev env

reminders:

- if ive deleted the .env files then, check lastpass wew
- moved the db to the nas
- not currently thinken docker being used / working state rn

### frontend

```
$ node -v
v16.1.0
yarn start
```

### backend

```
nodemon
```

## Todos

### backend:

- [x] plan technologies
- [x] create mongodb init script
- [x] create backend containers
- [ ] plan user authentication stratety
- [ ] create models for user actions
- [ ] plan messaging api strategy
- [ ] create models for messaging actions

Will consider this completed when I can call the above w/ postman/insomina; once complete, will move onto frontend development.

### frontend:

- [ ] plan technologies
- [ ] create frontend containers
- [ ] everything else

## Branches:

- master (protected)
- development

## Stack details

### backend:

Will build using node.js

| package        | details                                       |
| :------------- | :-------------------------------------------- |
| express        | node web framework                            |
| nodemon        | convenient reloader                           |
| passport       | authentication library                        |
| passport-local | authentication strategy                       |
| mongoose       | ODM for mongodb                               |
| dotenv         | read in secrets                               |
| bcrypt.js      | password hashing                              |
| cors           | control backend api access from other origins |

### frontend:

Will build using create-react-app

| package      | details                     |
| :----------- | :-------------------------- |
| react.js     | to build the ui             |
| react-router | routing, for react          |
| material-ui  | a react ui framework        |
| axios        | handles requests to the api |

## Considerations

- [ ] research and implement integration testing (jest)

## Development Env Setup

1. Populate the .env with secrets.
2. Initilize the backend folder w/ yarn/npm (details within the backend dir).
3. Write a Dockerfile inside the backend directory to start a node env using the newly created project files.
4. Compose up to create the mongodb & backend containers.
   - `docker-compose up -d --build`
5. Connect the backend and the db services.
