const express = require('express');
const app = express();
const PORT = process.env.PORT || 3001;
const cors = require('cors');
const authRoute = require('./routes/auth');
const msgAuthRoute = require('./routes/msgAuth');
const bnumRoute = require('./routes/bnums');
const subRoute = require('./routes/subscription');
const smsRoute = require('./routes/sms');
const verify = require('./routes/privateRoute');
require('./models/index');

app.use(cors({ exposedHeaders: ['authtoken'] }));
app.use(express.json());
app.use('/api/user', authRoute);
app.use('/api/msgauth', verify, msgAuthRoute);
app.use('/api/bnum', verify, bnumRoute);
app.use('/api/sub', verify, subRoute);
app.use('/api/sms', verify, smsRoute);

app.listen(PORT, () => {
  console.log('backend started');
});
