const mongoose = require("mongoose");

const msgAuthSchema = new mongoose.Schema(
  {
    clientId: {
      type: String,
      required: true,
      max: 200,
    },
    clientSecret: {
      type: String,
      required: true,
      max: 200,
    },
    grantType: {
      type: String,
      required: true,
      default: "client_credentials",
    },
    access_token: {
      type: String,
      max: 200,
    },
    token_type: {
      type: String,
      max: 200,
    },
    expires_in: {
      type: String,
      max: 200,
    },
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
      unique: true,
    },
  },
  { timestamps: true }
);

module.exports = mongoose.model("MsgAuth", msgAuthSchema);
