const mongoose = require("mongoose");

const smsSchema = new mongoose.Schema(
  {
    to: {
      type: String,
      min: 8,
      max: 12,
      required: true,
    },
    body: {
      type: String,
      min: 2,
      max: 153,
      required: true,
    },
    deliveryStatus: {
      type: String,
    },
    messageId: {
      type: String,
      required: true,
      unique: true,
    },
    sentTimestamp: {
      type: String,
    },
    receivedTimestamp: {
      type: String,
    },
    apiMsgId: {
      type: String,
    },
    // status: [
    //   {
    //     to: {
    //       type: String,
    //       min: 8,
    //       max: 12,
    //       required: true,
    //     },
    //     deliveryStatus: {
    //       type: String,
    //     },
    //     messageId: {
    //       type: String,
    //       required: true,
    //       unique: true,
    //     },
    //     messageStatusURL: {
    //       type: String,
    //     },
    //     sentTimestamp: {
    //       type: String,
    //     },
    //     receivedTimestamp: {
    //       type: String,
    //     },
    //     apiMsgId: {
    //       type: String,
    //     },
    //   },
    // ],
    messageType: {
      type: String,
    },
    numberSegments: {
      type: Number,
    },
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
      //unique: true,
    },
  },
  { timestamps: true }
);

module.exports = mongoose.model("Sms", smsSchema);
