const mongoose = require("mongoose");

const subscriptionSchema = new mongoose.Schema(
  {
    destinationAddress: {
      type: String,
      min: 8,
      max: 12,
    },
    expiryDate: {
      type: String,
    },
    activeDays: {
      type: String,
    },
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
      unique: true,
    },
  },
  { timestamps: true }
);

module.exports = mongoose.model("Subscription", subscriptionSchema);
