const mongoose = require("mongoose");

const userSchema = new mongoose.Schema(
  {
    username: {
      type: String,
      required: true,
      min: 2,
      max: 20,
    },
    password: {
      type: String,
      required: true,
      max: 1024,
      min: 6,
    },
    msgAuth: { type: mongoose.Schema.Types.ObjectId, ref: "msgAuth" },
    bnums: { type: mongoose.Schema.Types.ObjectId, ref: "Bnums" },
    subscription: { type: mongoose.Schema.Types.ObjectId, ref: "Subscription" },
  },
  { timestamps: true }
);

module.exports = mongoose.model("User", userSchema);
