const mongoose = require('mongoose');
require('dotenv').config();

mongoose.Promise = Promise;
mongoose.set('debug', true);

mongoose.connection.on('connected', () => {
  console.log('Connection Established');
});

mongoose.connection.on('reconnected', () => {
  console.log('Connection Reestablished');
});

mongoose.connection.on('disconnected', () => {
  console.log('Connection Disconnected');
});

mongoose.connection.on('close', () => {
  console.log('Connection Closed');
});

// to atlas or not to atlas idk
// mongodb://${process.env.dbuser}:${process.env.dbpass}@${process.env.dbhost}/${process.env.dbname}?authSource=admin&replicaSet=atlas-nz4wto-shard-0&readPreference=primary&appname=MongoDB%20Compass&ssl=true

const dbconnect = async () => {
  try {
    await mongoose.connect(
      `mongodb://${process.env.dbuser}:${process.env.dbpass}@${process.env.dbhost}/${process.env.dbname}`,
      {
        keepAlive: true,
        useNewUrlParser: true,
        useUnifiedTopology: true,
      }
    );
  } catch (err) {
    console.log(`ERROR: ${err}`);
  }
};

dbconnect().catch((error) => console.error(error));
