const router = require("express").Router();
const jwt = require("jsonwebtoken");
const MsgAuth = require("../models/MsgAuth");
const CryptoJS = require("crypto-js");
const { secretValidation } = require("../validation");

router.post("/login", async (req, res) => {
  const { error } = secretValidation(req.body);
  if (error)
    return res
      .status(400)
      .json({ success: false, message: error.details[0].message });

  try {
    thetoken = jwt.verify(req.headers.authtoken, process.env.tokensecret);
    const user = thetoken._id;

    const clientId = CryptoJS.AES.encrypt(
      req.body.clientId,
      process.env.cryptosecret
    ).toString();
    const clientSecret = CryptoJS.AES.encrypt(
      req.body.clientSecret,
      process.env.cryptosecret
    ).toString();

    const data = {
      clientId: clientId,
      clientSecret: clientSecret,
    };

    const userCheck = await MsgAuth.find({ userId: thetoken._id });

    if (userCheck.length === 0) {
      const newSecret = new MsgAuth(data);
      newSecret.userId = user;
      await newSecret.save();
    } else {
      await MsgAuth.findOneAndUpdate({ userId: thetoken._id }, data, {
        new: true,
        runValidators: true,
      });
    }

    res.status(200).json({ success: true, message: "wewlad" });
  } catch (err) {
    res.status(400).json({ success: false, message: err.message });
  }
});

module.exports = router;
