const jwt = require("jsonwebtoken");

module.exports = function (req, res, next) {
  const token = req.header("authtoken");
  if (!token)
    return res.status(401).json({ success: false, message: "Access Denied" });

  try {
    const verified = jwt.verify(token, process.env.tokensecret);
    req.user = verified;
    next();
  } catch (err) {
    res.status(400).json({ success: false, message: "Invalid Token" });
  }
};
