import React from "react";
import AppBar from "@material-ui/core/AppBar";
import Toolbar from "@material-ui/core/Toolbar";
import Typography from "@material-ui/core/Typography";
import Button from "@material-ui/core/Button";
import { useSnackbar } from "notistack";

export default function ButtonAppBar(props) {
  const { classes, setToken, setSms, setSub, setContacts, setSentmsg } = props;

  const { enqueueSnackbar } = useSnackbar();

  const handleSnack = (message, variant) => {
    enqueueSnackbar(`${message}`, { variant });
  };

  return (
    <div className={classes.root}>
      <AppBar position="static">
        <Toolbar>
          <Typography variant="h6" className={classes.title}>
            smsMessenger
          </Typography>
          <Button
            color="inherit"
            onClick={(e) => {
              setToken();
              localStorage.removeItem("jwt");
              setSms([]);
              setSentmsg([]);
              setSub([]);
              setContacts([]);
              handleSnack("logout successful", "info");
            }}
          >
            LOGOUT
          </Button>
        </Toolbar>
      </AppBar>
    </div>
  );
}
