import React from "react";
import Typography from "@material-ui/core/Typography";
import Box from "@material-ui/core/Box";
import Button from "@material-ui/core/Button";
import Grid from "@material-ui/core/Grid";
import Table from "@material-ui/core/Table";
import TableBody from "@material-ui/core/TableBody";
import TableCell from "@material-ui/core/TableCell";
import TableContainer from "@material-ui/core/TableContainer";
import TableHead from "@material-ui/core/TableHead";
import TableRow from "@material-ui/core/TableRow";

const SmsHistory = (props) => {
  const { classes, sentmsg, setSentmsg } = props;

  // will use this response to test adding new msgs into the history table state

  const testResponse = {
    _id: "6006cb1c7ed91601e76a57f4",
    to: "+61 (431) 403 569",
    body: "test again",
    userId: "6002e44a649dfb005ff25fec",
    deliveryStatus: "MessageWaiting",
    messageId: "26B72CAB4E5AEB618FFC010007006158",
    messageType: "SMS",
    numberSegments: 1,
    createdAt: "2021-01-19T12:05:49.178Z",
    updatedAt: "2021-01-19T12:05:49.178Z",
    __v: 0,
  };

  return (
    <Box m={2}>
      <Typography variant="h6" className={classes.title}>
        Message History
      </Typography>
      <Grid container direction="row" justify="flex-end" alignItems="baseline">
        <Box m={1}>
          <Button variant="outlined">Refresh</Button>
        </Box>
        <TableContainer>
          <Table aria-label="simple table">
            <TableHead>
              <TableRow>
                <TableCell>To</TableCell>
                <TableCell>Message</TableCell>
                <TableCell align="right">Delivery Status</TableCell>
              </TableRow>
            </TableHead>
            <TableBody>
              {sentmsg.map((sms) => {
                return (
                  <>
                    <TableRow>
                      <TableCell align="left">{sms.to}</TableCell>
                      <TableCell>{sms.body}</TableCell>
                      <TableCell align="right">{sms.deliveryStatus}</TableCell>
                    </TableRow>
                  </>
                );
              })}
            </TableBody>
          </Table>
        </TableContainer>
      </Grid>
    </Box>
  );
};

export default SmsHistory;
