import React from "react";
import { createMuiTheme, useMediaQuery } from "@material-ui/core/";
import { teal, orange } from "@material-ui/core/colors";

export default function Theming() {
  const prefersDarkMode = useMediaQuery("(prefers-color-scheme: dark)");

  const theme = React.useMemo(
    () =>
      createMuiTheme({
        palette: {
          type: prefersDarkMode ? "dark" : "light",
          primary: {
            main: teal[700],
          },
          secondary: {
            main: orange[500],
          },
        },
      }),
    [prefersDarkMode]
  );
  return theme;
}
