import { useState } from "react";

const useToken = () => {
  const getToken = () => {
    const tokenValue = localStorage.getItem("jwt");
    return tokenValue;
  };

  const [token, setToken] = useState(getToken());

  const saveToken = (tokenValue) => {
    localStorage.setItem("jwt", tokenValue);
    setToken(tokenValue);
  };

  return {
    setToken: saveToken,
    token,
  };
};

export default useToken;
